can not delete IMAP folders (dovecot)

RESOLVED INCOMPLETE

Status

Thunderbird
Mail Window Front End
RESOLVED INCOMPLETE
11 years ago
7 years ago

People

(Reporter: Radmilo Felix, Assigned: Scott MacGregor)

Tracking

(Depends on: 1 bug)

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

11 years ago
User-Agent:       Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.0.3705)
Build Identifier: Mozilla Thunderbird 1.5.0.7 (20060909)

Can not delete IMAP folders on my mailbox. The IMAP server is Dovecot running on Linix Fedora 5. I could, however, do this operation with MS Outlook. 

Reproducible: Always

Steps to Reproduce:
1. Right mouse click on folder to delete.
2. On the menu select "Delete Folder"
3. Confirmation message-box is displayed (Are you sure you want to move the selected folder into the Trash?), click on "OK" button.
4. Alert message box is displayed: "The current command did not succeed. The mail server responded: Target mailbox doesn't allow inferior mailboxes". Click on "OK" button to close message-box.

Actual Results:  
IMAP folder is not deleted.

Expected Results:  
At step 4, user should have the possibility to choose to delete the folder without moving it to Trash. Perhaps an additional button should be added to the message-box: "Permanently Delete Folder".

Comment 1

11 years ago
An IMAP protocol log might help.
http://www.mozilla.org/quality/mailnews/mail-troubleshoot.html#imap

Also, can you try a recent nightly from http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/latest-mozilla1.8/
Summary: can not deleta IMAP folders → can not delete IMAP folders (dovecot)
(Reporter)

Comment 2

11 years ago
IMAP protocol log:

0[2749b8]: 267a7d8:mail.fml.ro:NA:SetupWithUrl: clearing IMAP_CONNECTION_IS_OPEN
3216[267b1b0]: ImapThreadMainLoop entering [this=267a7d8]
3216[267b1b0]: 267a7d8:mail.fml.ro:NA:ProcessCurrentURL: entering
3216[267b1b0]: 267a7d8:mail.fml.ro:NA:ProcessCurrentURL:imap://felixr79djg8@mail.fml.ro:143/select%3E/INBOX:  = currentUrl
3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=21 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:NA:CreateNewLineFromSocket: * OK Dovecot ready.

3216[267b1b0]: 267a7d8:mail.fml.ro:NA:SendData: 1 capability

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=137 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:NA:CreateNewLineFromSocket: * CAPABILITY IMAP4rev1 SORT THREAD=REFERENCES MULTIAPPEND UNSELECT LITERAL+ IDLE CHILDREN NAMESPACE LOGIN-REFERRALS STARTTLS AUTH=PLAIN

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=28 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:NA:CreateNewLineFromSocket: 1 OK Capability completed.

3216[267b1b0]: 267a7d8:mail.fml.ro:NA:SendData: 2 STARTTLS

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=33 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:NA:CreateNewLineFromSocket: 2 OK Begin TLS negotiation now.

3216[267b1b0]: 267a7d8:mail.fml.ro:NA:SendData: 3 capability

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=128 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:NA:CreateNewLineFromSocket: * CAPABILITY IMAP4rev1 SORT THREAD=REFERENCES MULTIAPPEND UNSELECT LITERAL+ IDLE CHILDREN NAMESPACE LOGIN-REFERRALS AUTH=PLAIN

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=28 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:NA:CreateNewLineFromSocket: 3 OK Capability completed.

3216[267b1b0]: 267a7d8:mail.fml.ro:NA:SendData: 4 authenticate plain

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=4 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:NA:CreateNewLineFromSocket: + 

3216[267b1b0]: 267a7d8:mail.fml.ro:NA:SendData: Logging suppressed for this command (it probably contained authentication information)
3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=17 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:NA:CreateNewLineFromSocket: 4 OK Logged in.

3216[267b1b0]: 267a7d8:mail.fml.ro:A:SendData: 5 namespace

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=32 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * NAMESPACE (("" "/")) NIL NIL

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=27 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: 5 OK Namespace completed.

3216[267b1b0]: 267a7d8:mail.fml.ro:A:SendData: 6 lsub "" "*"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=23 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "INBOX"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=28 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "Sent Items"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=24 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "Drafts"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=23 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "Trash"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=25 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "Viruses"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=25 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "Friends"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=35 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "Virginia Monteiro"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=25 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "Decknet"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=24 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "CCM RT"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=31 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "Miscellaneous"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=25 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "Juridic"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=21 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "ETF"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=22 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "Spam"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=35 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "Delivery Failures"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=21 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "AIM"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=22 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "Alfa"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=21 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "ALE"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=32 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "Transportatori"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=30 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "Eugen Zubcov"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=22 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "Sent"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=22 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "Junk"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=29 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "Junk E-mail"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=34 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LSUB () "/" "test IMAP folder"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=22 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: 6 OK Lsub completed.

3216[267b1b0]: 267a7d8:mail.fml.ro:A:SendData: 7 list "" "INBOX"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=45 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * LIST (\NoInferiors \UnMarked) "/" "INBOX"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=22 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: 7 OK List completed.

3216[267b1b0]: 267a7d8:mail.fml.ro:A:SendData: 8 select "INBOX"

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=85 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * FLAGS (\Answered \Flagged \Deleted \Seen \Draft NonJunk $Forwarded $MDNSent Junk)

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=119 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * OK [PERMANENTFLAGS (\Answered \Flagged \Deleted \Seen \Draft NonJunk $Forwarded $MDNSent Junk \*)] Flags permitted.

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=12 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * 1 EXISTS

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=12 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * 0 RECENT

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=42 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * OK [UIDVALIDITY 1142935982] UIDs valid

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=40 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: * OK [UIDNEXT 2001] Predicted next UID

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=37 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:A:CreateNewLineFromSocket: 8 OK [READ-WRITE] Select completed.

3216[267b1b0]: 267a7d8:mail.fml.ro:S-INBOX:SendData: 9 UID fetch 1:* (FLAGS)

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=36 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:S-INBOX:CreateNewLineFromSocket: * 1 FETCH (FLAGS (\Seen) UID 1985)

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=23 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:S-INBOX:CreateNewLineFromSocket: 9 OK Fetch completed.

3216[267b1b0]: 267a7d8:mail.fml.ro:S-INBOX:SendData: 10 IDLE

3216[267b1b0]: ReadNextLine [stream=2645ff8 nb=10 needmore=0]
3216[267b1b0]: 267a7d8:mail.fml.ro:S-INBOX:CreateNewLineFromSocket: + idling

0[2749b8]: 2630338:mail.fml.ro:NA:SetupWithUrl: clearing IMAP_CONNECTION_IS_OPEN
2460[14695f0]: ImapThreadMainLoop entering [this=2630338]
2460[14695f0]: 2630338:mail.fml.ro:NA:ProcessCurrentURL: entering
2460[14695f0]: 2630338:mail.fml.ro:NA:ProcessCurrentURL:imap://felixr79djg8@mail.fml.ro:143/select%3E/test%20IMAP%20folder:  = currentUrl
2460[14695f0]: ReadNextLine [stream=146a870 nb=21 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:NA:CreateNewLineFromSocket: * OK Dovecot ready.

2460[14695f0]: 2630338:mail.fml.ro:NA:SendData: 1 capability

2460[14695f0]: ReadNextLine [stream=146a870 nb=137 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:NA:CreateNewLineFromSocket: * CAPABILITY IMAP4rev1 SORT THREAD=REFERENCES MULTIAPPEND UNSELECT LITERAL+ IDLE CHILDREN NAMESPACE LOGIN-REFERRALS STARTTLS AUTH=PLAIN

2460[14695f0]: ReadNextLine [stream=146a870 nb=28 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:NA:CreateNewLineFromSocket: 1 OK Capability completed.

2460[14695f0]: 2630338:mail.fml.ro:NA:SendData: 2 STARTTLS

2460[14695f0]: ReadNextLine [stream=146a870 nb=33 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:NA:CreateNewLineFromSocket: 2 OK Begin TLS negotiation now.

2460[14695f0]: 2630338:mail.fml.ro:NA:SendData: 3 capability

2460[14695f0]: ReadNextLine [stream=146a870 nb=128 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:NA:CreateNewLineFromSocket: * CAPABILITY IMAP4rev1 SORT THREAD=REFERENCES MULTIAPPEND UNSELECT LITERAL+ IDLE CHILDREN NAMESPACE LOGIN-REFERRALS AUTH=PLAIN

2460[14695f0]: ReadNextLine [stream=146a870 nb=28 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:NA:CreateNewLineFromSocket: 3 OK Capability completed.

2460[14695f0]: 2630338:mail.fml.ro:NA:SendData: 4 authenticate plain

2460[14695f0]: ReadNextLine [stream=146a870 nb=4 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:NA:CreateNewLineFromSocket: + 

2460[14695f0]: 2630338:mail.fml.ro:NA:SendData: Logging suppressed for this command (it probably contained authentication information)
2460[14695f0]: ReadNextLine [stream=146a870 nb=17 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:NA:CreateNewLineFromSocket: 4 OK Logged in.

2460[14695f0]: 2630338:mail.fml.ro:A:SendData: 5 select "test IMAP folder"

2460[14695f0]: ReadNextLine [stream=146a870 nb=57 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:A:CreateNewLineFromSocket: * FLAGS (\Answered \Flagged \Deleted \Seen \Draft Junk)

2460[14695f0]: ReadNextLine [stream=146a870 nb=91 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:A:CreateNewLineFromSocket: * OK [PERMANENTFLAGS (\Answered \Flagged \Deleted \Seen \Draft Junk \*)] Flags permitted.

2460[14695f0]: ReadNextLine [stream=146a870 nb=12 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:A:CreateNewLineFromSocket: * 0 EXISTS

2460[14695f0]: ReadNextLine [stream=146a870 nb=12 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:A:CreateNewLineFromSocket: * 0 RECENT

2460[14695f0]: ReadNextLine [stream=146a870 nb=42 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:A:CreateNewLineFromSocket: * OK [UIDVALIDITY 1159183422] UIDs valid

2460[14695f0]: ReadNextLine [stream=146a870 nb=37 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:A:CreateNewLineFromSocket: * OK [UIDNEXT 4] Predicted next UID

2460[14695f0]: ReadNextLine [stream=146a870 nb=37 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:A:CreateNewLineFromSocket: 5 OK [READ-WRITE] Select completed.

2460[14695f0]: 2630338:mail.fml.ro:S-test IMAP folder:SendData: 6 IDLE

2460[14695f0]: ReadNextLine [stream=146a870 nb=10 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:S-test IMAP folder:CreateNewLineFromSocket: + idling

2460[14695f0]: 2630338:mail.fml.ro:S-test IMAP folder:SendData: DONE

2460[14695f0]: ReadNextLine [stream=146a870 nb=22 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:S-test IMAP folder:CreateNewLineFromSocket: 6 OK Idle completed.

2460[14695f0]: 2630338:mail.fml.ro:S-test IMAP folder:ProcessCurrentURL: entering
2460[14695f0]: 2630338:mail.fml.ro:S-test IMAP folder:ProcessCurrentURL:imap://felixr79djg8@mail.fml.ro:143/movefolderhierarchy%3E%5Etest%20IMAP%20folder%3E%5ETrash:  = currentUrl
2460[14695f0]: 2630338:mail.fml.ro:S-test IMAP folder:SendData: 7 lsub "" "test IMAP folder/*"

2460[14695f0]: ReadNextLine [stream=146a870 nb=22 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:S-test IMAP folder:CreateNewLineFromSocket: 7 OK Lsub completed.

2460[14695f0]: 2630338:mail.fml.ro:S-test IMAP folder:SendData: 8 close

2460[14695f0]: ReadNextLine [stream=146a870 nb=23 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:S-test IMAP folder:CreateNewLineFromSocket: 8 OK Close completed.

2460[14695f0]: 2630338:mail.fml.ro:A:SendData: 9 rename "test IMAP folder" "Trash/test IMAP folder"

2460[14695f0]: ReadNextLine [stream=146a870 nb=54 needmore=0]
2460[14695f0]: 2630338:mail.fml.ro:A:CreateNewLineFromSocket: 9 NO Target mailbox doesn't allow inferior mailboxes

0[2749b8]: 2630338:mail.fml.ro:A:TellThreadToDie: close socket connection
2460[14695f0]: ImapThreadMainLoop leaving [this=2630338]
0[2749b8]: 267a7d8:mail.fml.ro:S-INBOX:TellThreadToDie: close socket connection
3216[267b1b0]: ImapThreadMainLoop leaving [this=267a7d8]

Comment 3

11 years ago
FYI: I am able to create and delete folders on a Dovecot IMAP server.
(Reporter)

Comment 4

11 years ago
Creating folders was not the problem.
I can delete now folders on an IMAP server. The problem was the setting of what should Mozilla do when deleting messages ("When I delete a message:..." under Server Settings).
If this setting is "Move it to the Trash folder" then Mozilla will not delete folders. The other two options ("Mark it as deleted" and "Remove it immediately") will allow Mozilla to delete folders.

Comment 5

10 years ago
this will probably depends on bug 234001

Comment 6

10 years ago
not sure myself but marking dependency so we don't lose it.  Note, the issues bug 234001 raises is also discussed in some other bugs. 
Depends on: 234001
(In reply to comment #4)
> Creating folders was not the problem.

To Radmilo Felix(bug opener):
Does it mean "manual creation of a subfolder under Trash was possible"?
(Reporter)

Comment 8

10 years ago
No, creation of subfolders under Trash or under any other folder is not possible.

Actually, what thunderbird calls folders (IMAP folders) they are in fact files on a Linux system. It is obvious that you can not create folders under a file.

Now this is what I did today, I created in my mail directory on the Linux server a folder named "test":
/home/username/mail/test (permissions 700)

Thunderbird could "see" the "test" folder in the subscribe window but could not subscribe to it. I manually created an empty file "test-f" under "test" folder(permissions 600). Now Thunderbird was able to subscribe to "test-f" and transfer mails into it or delete mails from it.

Furthermore, I created on the server the structure:
/home/username/mail/test/test1/test2 (permissions 700) and finally another empty file "test-f" under "test2 directory". Thunderbird could see the structure and could subscribe to the second empty file.

When I wanted to delete in Thunderbird the two "test-f"'s it was the same story, i could not do it as long as the setting under "Server Settings/When I delete a message" was "Move it to the Trash Folder". So I changed the setting and deleted the two "test-f" files.

And now, SURPRISE, I switched back the setting to "Move it to the Trash Folder" and as the structure test/test1/test2 was still visible in Thunderbird I deleted the "test2" folder and, what do you think happened... it went under the trash folder. I was puzzled, "Trash" is a FILE on the server and it was empty. In fact "test2" was still present on the server, it was not deleted by Thunderbird. I shut down Thunderbird, restarted it and now trash was again as before having no subfolder under it. Only "test" was now visible out of the folder structure on the server(test/test1/test2), while the subscribe window could see the whole structure.

Comment 9

10 years ago
I wounder what is your delimiter on your dovecot server? Any IMAP subfolder in dovecot or any other RFC server will look like this (example of mine server):
drwx--S---  5 vmail vmail    4096 2007-10-28 10:57 .Kolab
drwx--S---  5 vmail vmail    4096 2007-10-28 10:58 .Kolab.Calendar
drwx--S---  5 vmail vmail    4096 2008-05-01 14:43 .Kolab.Contacts
drwx--S---  5 vmail vmail    4096 2008-03-10 14:26 .Kolab.Tasks

Here is Kolab folder in upper hierarchy and dot used for creating of imap subfolders.

Comment 10

10 years ago
Can you give output of your configuration of dovecot? with command "dovecot -n"

Updated

10 years ago
Status: UNCONFIRMED → RESOLVED
Last Resolved: 10 years ago
Resolution: --- → INCOMPLETE

Comment 11

7 years ago
Can we re-open this bug, and maybe try to fix it?  My ISP uses Dovecot, and when I try to delete a folder, I get this error message in Seamonkey:

The current command did not succeed. The mail server responded: Target mailbox doesn't allow inferior mailboxes.

Apparently, this is just a limitation of Dovecot because it uses the mbox format.

So what I would like is the ability to just delete a folder immediately, but messages are move to the Trash folder.  I don't know if that's bug 234001 or not.
(Reporter)

Comment 12

7 years ago
(In reply to comment #11)
> Can we re-open this bug, and maybe try to fix it?  My ISP uses Dovecot, and
> when I try to delete a folder, I get this error message in Seamonkey:
> 
> The current command did not succeed. The mail server responded: Target mailbox
> doesn't allow inferior mailboxes.
> 
> Apparently, this is just a limitation of Dovecot because it uses the mbox
> format.
> 
> So what I would like is the ability to just delete a folder immediately, but
> messages are move to the Trash folder.  I don't know if that's bug 234001 or
> not.
Well, I can't reproduce it any more for I re-configured the mail server to use the maildir format instead of mailbox.

I don't think it's a limitation of Dovecot (by the way Dovecot can work with both formats) for as I said when I presented the bug MS Outlook was able to delete the folders.

Comment 13

7 years ago
(In reply to comment #12)
> 
> I don't think it's a limitation of Dovecot (by the way Dovecot can work with
> both formats) for as I said when I presented the bug MS Outlook was able to
> delete the folders.

MS Outlook may delete folders in a completely different way...
(Reporter)

Comment 14

7 years ago
(In reply to comment #13)
> MS Outlook may delete folders in a completely different way...

Agreed, since MS Outlook succeeds and Thunderbird fails. What we have to find out is how to make Thunderbird work aswell. So, since I started this bug, I'm going to install a mail server using the mailbox format in a few days, do some tests, report back and then we'll see what is to be done.
(Reporter)

Comment 15

7 years ago
I've done the tests. Looks like it is a limitation of Dovecot when using mailbox format. The solution in this case is to set "When I delete a message - Remove it immediately", so that Thunderbird does not try to move the deleted folder in the Trash folder.
Outlook has the same behaviour, it removes the deleted folder, no moving, just deletion.

If maildir format is used, everything is ok.
You need to log in before you can comment on or make changes to this bug.